<?php
/** 
 * Ceon URI Mapping Configuration Admin Language Defines
 *
 * @package    ceon_uri_mapping
 * @author     Conor Kerr <zen-cart.uri_mapping@dev.ceon.net>
 * @copyright  Copyright 2008-2009 Ceon
 * @copyright  Copyright 2003-2007 Zen Cart Development Team
 * @copyright  Portions Copyright 2003 osCommerce
 * @link       http://dev.ceon.net/web/zen-cart/uri_mapping
 * @license    http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version    $Id: ceon_uri_mapping_config.php 392 2009-06-27 18:45:09Z Bob $
 */

define('HEADING_TITLE', 'Ceon URI Mapping (SEO) Config');

define('SUCCESS_DATABASE_INSTALLED', 'Database (version %s) was installed successfully!');
define('SUCCESS_DATABASE_UPDATED', 'Database was updated to version %s successfully!');

if (!defined('TEXT_YES')) { define('TEXT_YES', 'Yes'); }
if (!defined('TEXT_NO')) { define('TEXT_NO', 'No'); }

define('TEXT_AUTOGEN_CONFIG', 'URI Auto-generation Settings');
define('TEXT_LABEL_AUTOGEN_ENABLED_NEW', 'Offer Auto-generation of URIs for Categories, Products, Manufacturers and EZ-Pages:');
define('TEXT_CONFIG_DESC_AUTOGEN_ENABLED_NEW', '<p>Should the option to auto-generate URIs be offered in the admin for Categories/Products/Manufacturers/EZ-Pages?</p><p>Generated URIs are based on their Category Names/Product Names/Manufacturer Names/EZ-Page Titles. For Products/Categories the full Category Path is used.</p>');

define('TEXT_LABEL_WHITESPACE_REPLACEMENT', 'Whitespace Replacement:');
define('TEXT_CONFIG_DESC_WHITESPACE_REPLACEMENT', '<p>What should whitespace be replaced with in auto-generated URIs?</p>');

define('TEXT_WHITESPACE_REPLACEMENT_SINGLE_UNDERSCORE', 'Single Underscore &quot;_&quot;');
define('TEXT_WHITESPACE_REPLACEMENT_SINGLE_DASH', 'Single Dash &quot;-&quot;');
define('TEXT_WHITESPACE_REPLACEMENT_SINGLE_FULL_STOP', 'Single Full Stop/Period &quot;.&quot;');
define('TEXT_WHITESPACE_REPLACEMENT_REMOVE', 'Remove whitespace altogether');

define('TEXT_LABEL_CAPITALISATION', 'Capitalisation:');
define('TEXT_CONFIG_DESC_CAPITALISATION', '<p>What capitalisation should be used in auto-generated URIs?</p><p>Please note:  Customers can use any capitalisation they want without breaking the store as all URIs are mapped case-insensitively. Using captialisation can make the store URIs look &ldquo;prettier&rdquo; though!</p>');

define('TEXT_CAPITALISATION_LOWERCASE', 'Convert Category Names/Product Names/Manufacturer Names/EZ-Page Titles to lowercase (E.g. &ldquo;medalofhonor&rdquo;/&ldquo;medal-of-honor&rdquo;).');
define('TEXT_CAPITALISATION_AS_IS', 'Use the names/titles as they are (E.g. &ldquo;MedalofHonor&rdquo;/&ldquo;Medal-of-Honor&rdquo;).');
define('TEXT_CAPITALISATION_UCFIRST', 'Capitalise the first letter of each word in the names/titles (E.g. &ldquo;MedalOfHonor&rdquo;/&ldquo;Medal-Of-Honor&rdquo;).');

define('TEXT_LABEL_REMOVE_WORDS', 'Remove Words:');
define('TEXT_CONFIG_DESC_REMOVE_WORDS', '<p>This is a comma-separated list of words which will be removed from the auto-generated URIs. Single characters can also be entered but will only be removed if they are surrounded by spaces (e.g. &ldquo;-&rdquo; entered below will remove the dash from &ldquo;Star Wars - Director\'s Cut&rdquo; but not from &ldquo;Spider-Man&rdquo;).</p>');

define('TEXT_LABEL_CHAR_STR_REPLACEMENTS', 'Character/String Replacements:');
define('TEXT_CONFIG_DESC_CHAR_STR_REPLACEMENTS', '<p>This is a comma-separated list of pairs of characters/strings and replacement characters/strings.</p> <p>The characters/strings to be replaced in the auto-generated URIs should be separated from their replacements using &ldquo;=&gt;&rdquo;. E.g. &ldquo;&pound;=&gt;GBP, $=&gt;USD&rdquo;.</p><p>Any spacing entered for a <strong>replacement</strong> will be used but replaced with the usual whitespace replacement character (so be careful not leave an extra space at the end of the text entered below if it is not intended!). Spacing entered for the strings/characters to be replaced will be removed/ignored; so it\'s fine to add a space after each comma, to make things easier to read.</p><p>To remove a character/string simply replace it with nothing. E.g. &ldquo;&pound;=&gt;, $=&gt;&rdquo; removes &pound; and $ dollar signs from the auto-generated URI.</p>');

define('TEXT_EXCLUDED_FILES', 'Excluded Files');
define('TEXT_LABEL_EXCLUDED_FILES', 'List of Files to be Excluded:');
define('TEXT_CONFIG_DESC_EXCLUDED_FILES', '<p>This is a comma-separated list of paths to files which will not be processed by Ceon URI Mapping.</p><p>As standard, the following paths to files are excluded for this store:</p><p><code>{standard_excluded_files}</code>.</p><p>Add any other files to be excluded by entering their full [web-side] paths below. The paths will be treated as case-insensitive.</p>');

define('TEXT_ERROR_IN_CONFIG', 'A problem was found with the configuration, please fix the error highlighted below then try again to save the changes.');
define('TEXT_ERRORS_IN_CONFIG', '%s problems were found with the configuration, please fix the errors highlighted below then try again to save the changes.');

define('SUCCESS_CONFIGURATION_SAVED', 'Configuration was successfully saved!');
define('SUCCESS_CONFIGURATION_SAVED_DEMO', '[DEMO MODE] Configuration would have been saved if module was not in demo mode!');

?>