<?php
/** 
 * Ceon URI Mapping Admin Language Defines
 *
 * @package    ceon_uri_mapping
 * @author     Conor Kerr <zen-cart.uri_mapping@dev.ceon.net>
 * @copyright  Copyright 2008-2009 Ceon
 * @copyright  Copyright 2003-2007 Zen Cart Development Team
 * @copyright  Portions Copyright 2003 osCommerce
 * @link       http://dev.ceon.net/web/zen-cart/uri_mapping
 * @license    http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version    $Id: ceon_uri_mapping.php 392 2009-06-27 18:45:09Z Bob $
 */

/**
 * The URI parts to be used for the product review/tell-a-friend pages. These are appended to the
 * static URI for a product. Change them to whatever you'd like as default!
 */
define('CEON_URI_MAPPING_URI_PART_PRODUCT_REVIEWS', 'reviews');
define('CEON_URI_MAPPING_URI_PART_PRODUCT_REVIEWS_INFO', 'review');
define('CEON_URI_MAPPING_URI_PART_PRODUCT_REVIEWS_WRITE', 'add-a-review');
define('CEON_URI_MAPPING_URI_PART_TELL_A_FRIEND', 'tell-a-friend');

/**
 * Defines for text used for Ceon URI Mapping functionality in admin interface.
 */
define('BOX_CEON_URI_MAPPING', 'Ceon URI Mapping (SEO) Config');

define('TEXT_URI_MAPPING_CATEGORY_URI', 'URI Mapping:');
define('TEXT_URI_MAPPING_PRODUCT_URI', 'URI Mapping:');
define('TEXT_URI_MAPPING_PRODUCT_NO_URI', 'This product is <strong>not mapped</strong> to a URI.');
define('TEXT_URI_MAPPING_EZPAGES_URI', 'URI Mapping:');
define('TEXT_URI_MAPPING_MANUFACTURER_URI', 'URI Mapping:');

define('TEXT_URI_MAPPING_CATEGORY_URI_AUTOGEN', 'Tick this box to have the URI auto-generated for this category.');
define('TEXT_URI_MAPPING_CATEGORY_URIS_AUTOGEN', 'Tick this box to have the URIs auto-generated for this category.');

define('TEXT_URI_MAPPING_PRODUCT_URI_AUTOGEN', 'Tick this box to have the URI auto-generated for this product.');
define('TEXT_URI_MAPPING_PRODUCT_URIS_AUTOGEN', 'Tick this box to have the URIs auto-generated for this product.');

define('TEXT_URI_MAPPING_EZ_PAGE_URI_AUTOGEN', 'Tick this box to have the URI auto-generated for this EZ-Page.');
define('TEXT_URI_MAPPING_EZ_PAGE_URIS_AUTOGEN', 'Tick this box to have the URIs auto-generated for this EZ-Page.');

define('TEXT_URI_MAPPING_MANUFACTURER_URI_AUTOGEN', 'Tick this box to have the URI auto-generated for this manufacturer.');
define('TEXT_URI_MAPPING_MANUFACTURER_URIS_AUTOGEN', 'Tick this box to have the URIs auto-generated for this manufacturer.');

define('TEXT_URI_MAPPING_PRODUCT_URI_AUTOGENERATED', 'Auto-generated URI Mapping:');
define('TEXT_URI_MAPPING_PRODUCT_URIS_AUTOGENERATED', 'Auto-generated URI Mappings:');
define('TEXT_URI_MAPPING_PRODUCT_URI_ENTERED', 'Entered URI Mapping:');
define('TEXT_URI_MAPPING_PRODUCT_URIS_ENTERED', 'Entered URI Mappings:');
define('TEXT_URI_MAPPING_PRODUCT_NO_URI_ENTERED', 'No URI Mapping');

define('TEXT_URI_MAPPING_URI_AUTOGEN_ONE_EXISTING_MAPPING', '<strong>Please Note:</strong> The existing mapping will be replaced by an auto-generated URI if this box is ticked!');
define('TEXT_URI_MAPPING_URI_AUTOGEN_ALL_EXISTING_MAPPINGS', '<strong>Please Note:</strong> All the existing mappings will be replaced by auto-generated URIs if this box is ticked!');
define('TEXT_URI_MAPPING_URI_AUTOGEN_SOME_EXISTING_MAPPINGS', '<strong>Please Note:</strong> The existing mappings will be replaced by auto-generated URIs if this box is ticked!');
define('TEXT_URI_MAPPING_URI_AUTOGEN_DISABLED', '(Auto-generation of URIs is disabled. Any URI mappings must be entered manually.)');

define('TEXT_URI_MAPPING_DUPLICATE_PRODUCT_URI_MAPPING', 'URI Mapping (only applies if product is being duplicated):');
define('TEXT_URI_MAPPING_COPY_AUTOGEN_URI', 'Auto-generate a new URI mapping for the duplicate product.');
define('TEXT_URI_MAPPING_COPY_AUTOGEN_URIS', 'Auto-generate new URI mappings for the duplicate product.');
define('TEXT_URI_MAPPING_COPY_EXISTING_MAPPING', 'Copy existing product\'s URI mapping to the duplicate product (it will have the duplicated product\'s ID appended so that the URI mapping is unique and therefore doesn\'t conflict with the URI mapping of the product being copied).');
define('TEXT_URI_MAPPING_COPY_EXISTING_MAPPINGS', 'Copy existing product\'s URI mappings to the duplicate product (they will have the duplicated product\'s ID appended so that the URI mappings are unique and therefore don\'t conflict with the URI mappings of the product being copied).');
define('TEXT_URI_MAPPING_COPY_PRODUCT_DONT_AUTOGEN_URI', 'Don\'t auto-generate a new URI mapping for the duplicate product.');
define('TEXT_URI_MAPPING_COPY_PRODUCT_DONT_AUTOGEN_URIS', 'Don\'t auto-generate URI mappings for the duplicate product.');
define('TEXT_URI_MAPPING_COPY_PRODUCT_DONT_COPY_URI', 'Don\'t copy existing product\'s URI mapping to the duplicate product.');
define('TEXT_URI_MAPPING_COPY_PRODUCT_DONT_COPY_URIS', 'Don\'t copy existing product\'s URI mappings to the duplicate product.');
define('TEXT_URI_MAPPING_COPY_PRODUCT_DONT_AUTOGEN_COPY_URI', 'Don\'t auto-generate the URI mapping or copy the existing product\'s URI mapping for the duplicate product.');
define('TEXT_URI_MAPPING_COPY_PRODUCT_DONT_AUTOGEN_COPY_URIS', 'Don\'t auto-generate the URI mappings or copy the existing product\'s URI mappings for the duplicate product.');

define('TEXT_URI_MAPPING_MOVE_PRODUCT_URI_MAPPING', 'URI Mapping:');
define('TEXT_URI_MAPPING_MOVE_AUTOGEN_URI', 'Auto-generate a new URI mapping according the category being moved to.');
define('TEXT_URI_MAPPING_MOVE_AUTOGEN_URIS', 'Auto-generate new URI mappings according the category being moved to.');
define('TEXT_URI_MAPPING_MOVE_USE_EXISTING_MAPPING', 'Use product\'s existing URI mapping after the product has been moved to its new category.');
define('TEXT_URI_MAPPING_MOVE_USE_EXISTING_MAPPINGS', 'Use product\'s existing URI mappings after the product has been moved to its new category.');
define('TEXT_URI_MAPPING_MOVE_PRODUCT_DONT_AUTOGEN_URI', 'Don\'t auto-generate a URI mapping for the product after it has been moved.');
define('TEXT_URI_MAPPING_MOVE_PRODUCT_DONT_AUTOGEN_URIS', 'Don\'t auto-generate URI mappings the product after it has been moved.');
define('TEXT_URI_MAPPING_MOVE_PRODUCT_DONT_MOVE_URI', 'Drop existing URI mapping for the product after it has been moved.');
define('TEXT_URI_MAPPING_MOVE_PRODUCT_DONT_MOVE_URIS', 'Drop existing URI mappings for the product after it has been moved.');
define('TEXT_URI_MAPPING_MOVE_PRODUCT_DONT_AUTOGEN_MOVE_URI', 'Drop existing URI mapping for the product after it has been moved, and don\'t generate a new one (the moved product will have no URI mapping).');
define('TEXT_URI_MAPPING_MOVE_PRODUCT_DONT_AUTOGEN_MOVE_URIS', 'Drop existing URI mappings for the product after it has been moved, and don\'t generate new ones (the moved product will have no URI mappings).');

?>